package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.SEnvGasMonReal;
import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.SEnvGasMonRealVo;
import cn.cecep.talroad.vo.analysis.FactoryOutletStaticsVo;
import cn.cecep.talroad.vo.query.BMainEmissionSourceAirWaterSolidQuery;
import cn.cecep.talroad.vo.query.SEnvGasMonRealQuery;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 废气监测数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface ISEnvGasMonRealService extends  IService<SEnvGasMonReal>
{
    Map<String, Object> chart(BMainEmissionSourceAirWaterSolidQuery query);
    /**
     * 查询废气监测数据列表
     *
     * @param sEnvGasMonReal 废气监测数据
     * @return 废气监测数据集合
     */
    List<SEnvGasMonRealVo> selectSEnvGasMonRealList(SEnvGasMonRealQuery sEnvGasMonReal);

    IPage<SEnvGasMonRealVo> selectSEnvGasMonRealPage(SEnvGasMonRealQuery sEnvGasMonReal);

    EChartsVO getCharData(SEnvGasMonRealQuery sEnvGasMonReal);

    List<EChartsVO> getCharDataList(SEnvGasMonRealQuery query);

    Map<String, Object> chartNew(BMainEmissionSourceAirWaterSolidQuery query);

    List<SEnvGasMonReal> selectLastHourData(String pollutantOutletType,Date lastHour);

    List<FactoryOutletStaticsVo> selectLastDayData(DateTime queryBeginTime, DateTime queryEndTime);
}
